FUNCTION::ASSERT(3stap)

NAME
function::assert - evaluate assertion

SYNOPSIS

1) assert(expression:long)

2) assert(expression:long,msg:string)

ARGUMENTS

expression
    The expression to evaluate

msg
    The formatted message string

DESCRIPTION

1) This function checks the expression and aborts the current running probe if expression evaluates to zero. Useserror and may be caught by try{} catch{}. A default message will be displayed.

2) This function checks the expression and aborts the current running probe if expression evaluates to zero. Useserror and may be caught by try{} catch{}. The specified message will be displayed.

SEE ALSO
tapset::logging(3stap)